POST api/cataloguer/front/AddProductToRazdel?productId={productId}&ownerId={ownerId}&categoryId={categoryId}&token={token}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
token

Токен авторизации

string

Required

productId

integer

Required

ownerId

integer

Required

categoryId

integer

Required

Body Parameters

Collection of ProductAttribute
NameDescriptionTypeAdditional information
attribute_id

integer

None.

attribute_value_id

integer

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "attribute_id": 1,
    "attribute_value_id": 2
  },
  {
    "attribute_id": 1,
    "attribute_value_id": 2
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

application/xml, text/xml

Sample:
<ArrayOfProductAttribute>
  <ProductAttribute>
    <AttributeId>1</AttributeId>
    <AttributeValueId>2</AttributeValueId>
  </ProductAttribute>
  <ProductAttribute>
    <AttributeId>1</AttributeId>
    <AttributeValueId>2</AttributeValueId>
  </ProductAttribute>
</ArrayOfProductAttribute>

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.